## scilab 5.3.1

=== debian/changelog ===
scilab (5.3.1-3) unstable; urgency=low

  * Missing dependencies (Closes: #618709)
  * Improve dependencies

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 Mar 2011 23:09:52 +0100

scilab (5.3.1-2) unstable; urgency=low

  * Update of a check due to the recent update of libjgoodies-looks-java
    (Closes: #617274)
  * Force dependency on ocaml to version 3.11.2-3 in order to avoid bug
    #617404.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 05 Mar 2011 16:51:46 +0100

scilab (5.3.1-1) unstable; urgency=low

  * New upstream release
  * Japanese documentation added (package scilab-doc-ja)
  * Switch to dpkg-source 3.0 (quilt) format
  * Aurélien removed from uploader (MIA)
  * Updated description with Xcos

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2011 15:37:03 +0100

scilab (5.3.0-final-3) unstable; urgency=low

  * Some modelica binaries were missing in a package (scilab-full-bin).

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Feb 2011 21:02:42 +0100

scilab (5.3.0-final-2) unstable; urgency=low

  * Upload in Debian unstable
  * A file moved from a package to the other caused a bug (LP: #710419)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Feb 2011 14:08:05 +0100

scilab (5.3.0-final-1) experimental; urgency=low

  * New upstream release
  * URL in the watch file updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Dec 2010 14:27:06 +0100

scilab (5.3.0-beta-5-1) experimental; urgency=low

  * New upstream release.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Nov 2010 01:26:20 +0100

scilab (5.3.0-beta-4-3) experimental; urgency=low

  * Fix some lintian warnings

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Oct 2010 08:16:43 +0200

scilab (5.3.0-beta-4-2) experimental; urgency=low

  * Provide specific packages for javasci2 called libscilab2-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Oct 2010 20:26:32 +0200

scilab (5.3.0-beta-4-1) experimental; urgency=low

  * New upstream release
  patch addchapter.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Sep 2010 22:44:57 +0200

scilab (5.3.0-beta-3-2) experimental; urgency=low

  * Missing dep on libjlatexmath-fop-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 17 Sep 2010 18:11:22 +0200

scilab (5.3.0-beta-3-1) experimental; urgency=low

  * New upstream release
  * jhdf2.6.diff addchapter.diff full_support.diff sparc64.diff 
    z_cpudetection.diff better-feedback-on-lib-error.diff
    test_run_permission.diff renesas-sh.diff applied upstream.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 13:42:22 +0200

scilab (5.2.2-9) unstable; urgency=low

  * Fix a problem in the ia64 startup. (Closes: #593684)
  * Build the help file by increasing the amount of memory available to the JVM
    (Closes: #599149)
  * Fails the build when some key components are not built

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Oct 2010 22:32:12 +0200

scilab (5.2.2-8) unstable; urgency=high

  * SECURITY UPDATE: 
    - (CVE-2010-3378) : Insecure library loading (Closes: #598422, #598423)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 30 Sep 2010 15:17:57 +0200

scilab (5.2.2-7) unstable; urgency=low

  * Fix a bad upload: Not binNMU-able (Closes: #597755)
  * Fix an issue with mips64. Thanks to Liushiwei (Closes: #593902)
  * Wrong recommends on sivp (Closes: #576475)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 23 Sep 2010 14:07:07 +0200

scilab (5.2.2-6) unstable; urgency=low

  * Fix a problem with the build system

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Sep 2010 08:50:49 +0200

scilab (5.2.2-5) unstable; urgency=low

  [ Matthias Klose ]
  * Fix JVM detection for armv<anything> machines (Closes: #596509)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 11:14:58 +0200

scilab (5.2.2-4) unstable; urgency=low

  * Fix a FTBFS under powerpc (conflicting declaration of basename)
    basename.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2010 22:20:42 +0200

scilab (5.2.2-3) unstable; urgency=low

  * Remove option -fwritable-string. writable-string.diff (Closes: #593114)
  * Fix a problem in the detection of sparc for sivp sparcstartup.diff
    (Closes: #591541)
  * Update copyright file to fix lintian warning:
    copyright-refers-to-deprecated-bsd-license-file
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2010 16:03:13 +0200

scilab (5.2.2-2) unstable; urgency=low

  * Missing files in libjavasci (Closes: #585679)
  * libjavasci arch: all => any
  * Rpath back in business for sciscipy (Closes: #586746)
  * Set the exact dependencies on jgraphx (1.2.0.8). Too many compatibilities
    issues.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Jun 2010 17:22:12 +0200

scilab (5.2.2-1) unstable; urgency=low

  * New upstream release
  * better-feedback-on-lib-error.diff, full_support.diff, renesas-sh.diff,
    s390javadetection.diff, sparc64.diff, test_run_permission.diff,
    z_cpudetection.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Apr 2010 15:57:24 +0200

scilab (5.2.1-9) unstable; urgency=low

  * Add procps as a build dependency to make the watcher work (Closes: #577870)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Apr 2010 10:26:23 +0200

scilab (5.2.1-8) unstable; urgency=low

  * Enable also the keep alive for Debian (sparc has some pbs on the 
   documentation build)
  * Update of the completion script
  * Update of the README.Debian file (Scilab is free since 5.0.0)
  * Fix a problem with the unitary tests (permission). Backport from upstream.
    test_run_permission.diff
  * In case of error on the library load, provide more feedbacks 
    better-feedback-on-lib-error.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Apr 2010 22:12:44 +0200

scilab (5.2.1-7) unstable; urgency=low



=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran, 
 default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), quilt,
 tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, 
 gettext, libreadline-dev, pkg-config, procps,
# numerical libraries
 libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev, 
# Java deps
 libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
 libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
# Documentation 
 libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95), 
 javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
 libxml-commons-external-java,
# Optional Scilab features
 pvm-dev, fftw3-dev | libfftw3-dev, libsuitesparse-dev (>= 3.4.0), 
 libmatio-dev,
# latex rendering
 libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
# Xcos
 libjgraphx-java (>= 1.4.1.0), libhdf5-serial-dev, libjhdf5-java (>= 2.6)
Standards-Version: 3.9.1
Homepage: http://www.scilab.org
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/

Package: scilab-cli
Architecture: all
Depends: scilab-minimal-bin (>= ${source:Version}), 
 scilab-data (= ${binary:Version}), ${misc:Depends}, 
 scilab-include (>= ${source:Version})
# scilab-include is installed by default since it is widely used by many
# toolboxes
Recommends: scilab-sivp (>= 0.5.2)
Suggests: gfortran, gcc, scilab-swt, scilab-scimax, scilab-plotlib, scilab-ann
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals,linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter. 
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}), ${misc:Depends}, scilab-full-bin
Recommends: scilab-doc (= ${binary:Version}), 
Suggests: scilab-doc-fr (= ${binary:Version}), 
 scilab-doc-pt-br (= ${binary:Version}),
 scilab-doc-ja (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals,linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals,linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
# any because of the bug #550243
Architecture: any
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals,linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: any
Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
 ${misc:Depends}
Replaces: scilab-bin
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals,linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: any
Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
 libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libjrosetta-java (>= 1.0.1),
 libjlatexmath-java (>= 0.9.4), libjlatexmath-fop-java (>= 0.9.4),
 libjeuclid-core-java, libbatik-java (>= 1.7),  default-jre,
 fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
 javahelp2, libjgraphx-java (>= 1.2.0.8), libjhdf5-java (>= 2.6), 
 ${misc:Depends}
Recommends: pvm
Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.3)
Description: Scientific software package for numerical computations (all binary files)                                                                     
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals,linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.

#Package: scilab-xcos
#Architecture: any
#Depends: ${shlibs:Depends}, scilab-bin, ${misc:Depends}, libjgraphx-java, 
# libjhdf5-java
#Description: Scientific software package for numerical computations (binary files)
# Scilab is a matrix-based scientific software package.
# Scilab contains hundreds of built-in mathematical functions, rich
# data structures (including polynomials, rationals,linear systems, lists,
# etc...) and comes with a number of specific toolboxes for
# control, signal processing, ...
# .
# This package contains the architecture specific binary files.
 
Package: scilab-minimal-bin-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-minimal-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab-cli debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals,linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific debugging symbols.

Package: scilab-full-bin-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-full-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals,linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package contains the architecture specific debugging symbols.

Package: libscilab-java
Section: java
Architecture: any
Depends: ${shlibs:Depends}, scilab-full-bin (>= ${source:Version}), ${misc:Depends}
Description: Scientific software package for numerical computations (Java API)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals,linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package provided the javasci interface.
 .
 This package contains the Java library used to call Scilab's engine 
 from Java.



Package: libscilab2-java
Section: java
Architecture: any
Depends: ${shlibs:Depends}, scilab-full-bin (>= ${source:Version}), ${misc:Depends}
Description: Scientific software package for numerical computations (Java API)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals,linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# Detect the arch (with the naming of Sun)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

JAVA_HOME            := /usr/lib/jvm/default-java

LD_LIBRARY_PATH = $(JAVA_HOME)/jre/lib/$(archdir)/:/usr/lib/libfakeroot/:$(JAVA_HOME)/jre/lib/$(archdir)/server:$(JAVA_HOME)/jre/lib/$(archdir)/native_threads/:$(DEB_DESTDIR)/usr/lib/scilab/

DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
	--with-pvm --with-fftw --enable-relocatable \
	--with-umfpack --enable-build-localization \
	--with-install-help-xml --enable-build-help

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-as-needed"


ENABLE_BUILD_HELP_ARCHS := amd64 i386
ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_BUILD_HELP_ARCHS)))
# Enable the build on these arch. it timeouts for the other archs
DEB_MAKE_BUILD_TARGET := all doc 
else
DEB_MAKE_BUILD_TARGET := all
endif

DEB_MAKE_INSTALL_TARGET := install install-data install-html \
					prefix=$(DEB_DESTDIR)/usr \
				   bindir=$(DEB_DESTDIR)/usr/bin \
				   datadir=$(DEB_DESTDIR)/usr/share/ \
				   sharedir=$(DEB_DESTDIR)/usr/share/ \
				   docdir=$(DEB_DESTDIR)/usr/share/doc/

DEB_DH_MAKESHLIBS_ARGS_scilab-full-bin = -n
DEB_DH_MAKESHLIBS_ARGS_scilab-minimal-bin = -n 
DEB_DH_MAKESHLIBS_ARGS_libscilab-java = -n
DEB_DH_MAKESHLIBS_ARGS_libscilab2-java = -n
DEB_DH_SHLIBDEPS_ARGS_libscilab-java = -Xusr/lib/jni/libjavasci.so
DEB_DH_SHLIBDEPS_ARGS_libscilab2-java = -Xusr/lib/jni/libjavasci2.so
#DEB_MAKE_CHECK_TARGET = check

debian/stamp-autotools-files:
	autoreconf


install/scilab-data::
# Fails the build if some basic file does not exist
	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
		exit 1; \
	fi
# Remove empty directories
	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
# Remove extra license files to make lintian happier
# See debian/copyright for them
	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/contrib/toolbox_skeleton/license.txt 
	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/BWidget-*/LICENSE.txt
	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/sciGUI/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/TAUCS_license.txt $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/UMFPACK_license.txt

# Remove COPYING file
	rm $(DEB_DESTDIR)usr/share/scilab/COPYING

# Remove dead code
	rm -rf $(DEB_DESTDIR)usr/share/scilab/modules/helptools/bin $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/demos/tk/timer $(DEB_DESTDIR)usr/share/scilab/modules/intersci/examples/sedprov

# Management of the tests, help and demos
	for dir in $(DEB_DESTDIR)usr/share/scilab/modules/*; do \
		moduleName=`echo $$dir|sed -e "s|.*/\(.*\)|\1|"`; \
		target=$(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/$$moduleName; \
		target_test=$(CURDIR)/debian/scilab-test/usr/share/scilab/modules/$$moduleName; \
		# Move tests in the right package; \
		if test -d $$dir/tests; then \
			mkdir -p $$target_test; \
			mv $$dir/tests $$target_test; \
		fi; \
		# Move the help in the right package; \
		if test -d $$dir/demos -o -d $$dir/help/en_US/; then \
			mkdir -p $$target/help; \
		fi; \
		if test -d $$dir/demos; then \
			mv $$dir/demos $$target; \
		fi; \
		if test -d $$dir/help/en_US; then \
			mv $$dir/help/en_US $$target/help/; \
		fi; \
		if test -d $$dir/help/fr_FR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/fr_FR $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/pt_BR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/pt_BR $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/ja_JP; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/ja_JP $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
	done

install/scilab-doc::
	mkdir $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/
	EN_US_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar; \
	mv $$EN_US_DOC $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-fr::
	mkdir $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/
	FR_FR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar; \
	mv $$FR_FR_DOC $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-pt-br::
	mkdir $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/
	PT_BR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar; \
	mv $$PT_BR_DOC $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-ja::
	mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/

binary-install/libscilab-java::
# Move the javasci lib
	mkdir -p $(CURDIR)/debian/libscilab-java/usr/share/java/
	mkdir -p $(CURDIR)/debian/libscilab-java/usr/lib/jni/
	mv debian/tmp/usr/share/scilab/modules/javasci/jar/javasci.jar $(CURDIR)/debian/libscilab-java/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci.so*  $(CURDIR)/debian/libscilab-java/usr/lib/jni/

binary-install/libscilab2-java::
# Move the javasci2 lib
	mkdir -p $(CURDIR)/debian/libscilab2-java/usr/share/java/
	mkdir -p $(CURDIR)/debian/libscilab2-java/usr/lib/jni/
	mv debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/libscilab2-java/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/libscilab2-java/usr/lib/jni/


binary-install/scilab-minimal-bin::
#	for file in $(DEB_DESTDIR)/usr/lib/scilab/*.so; do \
#		chrpath -d $$file; \
#	done

#	for file in $(DEB_DESTDIR)/usr/bin/scilab-cli-bin; do \
#		chrpath -d $$file; \
#	done

	mkdir -p $(CURDIR)/debian/scilab-minimal-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-cli-bin $(CURDIR)/debian/scilab-minimal-bin/usr/bin/

#binary-install/scilab-full-bin::
# Remove rpath
#	for file in $(DEB_DESTDIR)/usr/bin/scilab-bin  $(DEB_DESTDIR)/usr/bin/intersci; do \
#		chrpath -d $$file; \
#	done

# Move binaries
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-bin $(CURDIR)/debian/tmp/usr/bin/intersci $(CURDIR)/debian/scilab-full-bin/usr/bin/
	if test -s $(CURDIR)/debian/tmp/usr/bin/modelicac; then \
		chrpath -d $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat; \
		mv $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat $(CURDIR)/debian/scilab-full-bin/usr/bin/; \
	fi

install/scilab-cli::
# Move icons
	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/
	cp -R debian/tmp/usr/share/scilab/icons/scilab.xpm $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/

install/scilab::
# Move icons
	mkdir -p $(CURDIR)/debian/scilab/usr/share/scilab/
	mv debian/tmp/usr/share/scilab/icons/ $(CURDIR)/debian/scilab/usr/share/scilab/

clean::
# Remove empty translation files
	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po

## scilab 5.3.2

=== debian/changelog ===
scilab (5.3.2-2) unstable; urgency=low

  * Add mips64 support (mips64.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Jun 2011 02:06:13 +0200

scilab (5.3.2-1) unstable; urgency=low

  * New upstream release (updateOfJgoodies.diff & wrongVersion.diff removed)
  * Standards-Version updated to version 3.9.2
  * Use .desktop provided in the upstream sources.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 Jun 2011 00:47:55 +0200

scilab (5.3.1-4) unstable; urgency=low

  * Fix the real name of the release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Apr 2011 17:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
 # Xcos
  libjgraphx-java (>= 1.4.1.0), libhdf5-serial-dev, libjhdf5-java (>= 2.6)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.scilab.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/

## scilab 5.3.3

=== contrib/xcos_toolbox_skeleton/DESCRIPTION ===
Toolbox: xcos_toolbox_skeleton

Title: Xcos toolbox skeleton

Summary: Add some blocks to a palette

Version: 1.0

Author: Clément DAVID <clement.david@scilab.org>

Maintainer: Clément DAVID <clement.david@scilab.org>

Category: Xcos

Entity: Digiteo

WebSite: http://www.scilab.org

License: CeCILL

ScilabVersion: >= 5.3

Depends: 

Date: 2011-03-15

Description: Example for an Xcos toolbox
 
 exec builder.sce
 exec loader.sce
 
 help xcos_toolbox_skeleton

=== debian/changelog ===
scilab (5.3.3-5) unstable; urgency=low

  * Update the error message of the demo when scilab-doc is not installed
  * Fix a build issues relative to LD_LIBRARY_PATH

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Dec 2011 11:33:45 +0100

scilab (5.3.3-4) unstable; urgency=low

  * Dependency fftw3-dev dropped (replaced by libfftw3-dev)
  * Fix some encoding issues which were causing Scilab to fail with
    the openjdk 7 (Closes: #888998)
  * Explicity the dependency on skinlf (Closes: #648060)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Nov 2011 12:43:01 +0100

scilab (5.3.3-3) unstable; urgency=low

  * default-java-path.diff: For the usage of /usr/lib/jvm/default-java to
    detect the right path of Java (due to the multiarch changes in the
    openjdk) (Closes: #639924)
  * Fix a minor typo in the description

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Sep 2011 22:59:30 +0200

scilab (5.3.3-2) unstable; urgency=low

  * Get ride of .la files (Closes: #633209)
  * Unused override removed
  * Fix some minor man warnings
  * Update the description of libscilab2-java (Remove warning
    duplicate-short-description)
  * Upstream changelog added (no-upstream-changelog)
  * Fix unneeded-build-dep-on-quilt & copyright-refers-to-symlink-license

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jul 2011 17:57:20 +0200

scilab (5.3.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jul 2011 19:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran, 
- default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), quilt,
+ default-jdk, chrpath, ocaml-nox (>= 3.11.2-3),
  tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, 
  gettext, libreadline-dev, pkg-config, procps,
 # numerical libraries
@@ -12,12 +12,13 @@
 # Java deps
  libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
+ libskinlf-java, 
 # Documentation 
  libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95), 
  javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
  libxml-commons-external-java,
 # Optional Scilab features
- pvm-dev, fftw3-dev | libfftw3-dev, libsuitesparse-dev (>= 3.4.0), 
+ pvm-dev, libfftw3-dev, libsuitesparse-dev (>= 3.4.0), 
  libmatio-dev,
 # latex rendering
  libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
@@ -41,7 +42,7 @@
 Description: Scientific software package - Command Line Interpreter
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -59,7 +60,7 @@
 Description: Scientific software package for numerical computations
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for control, signal
  processing, ...
  .
@@ -79,7 +80,7 @@
 Description: Scientific software package for numerical computations (data files)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -101,7 +102,7 @@
 Description: Scientific software package for numerical computations (include files)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -124,7 +125,7 @@
 Description: Scientific software package for numerical computations (minimal binary files)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -147,20 +148,21 @@
  libjlatexmath-java (>= 0.9.4), libjlatexmath-fop-java (>= 0.9.4),
  libjeuclid-core-java, libbatik-java (>= 1.7),  default-jre,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
- javahelp2, libjgraphx-java (>= 1.2.0.8), libjhdf5-java (>= 2.6), 
- ${misc:Depends}
+ javahelp2, libjgraphx-java (>= 1.2.0.8), libjhdf5-java (>= 2.6),
+ libskinlf-java, ${misc:Depends}
 Recommends: pvm
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.3)
 Description: Scientific software package for numerical computations (all binary files)                                                                     
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for
- control, signal processing, ...
- .
- This package also provides Xcos, a graphical editor to design hybrid
- dynamical systems models. Models can be designed, loaded, saved, compiled and
- simulated.
+ control, signal processing ...
+ .
+ This package also provides Xcos, a graphical editor to design hybrid
+ dynamical systems models. Models can be designed, loaded, saved, compiled and
+ simulated.
+ .
  Stable and efficient solution for industrial and academics needs, Xcos
  provides functionalities for modeling of mechanical systems (automotive,
  aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
@@ -168,19 +170,7 @@
  .
  This package contains the architecture specific binary files.
 
-#Package: scilab-xcos
-#Architecture: any
-#Depends: ${shlibs:Depends}, scilab-bin, ${misc:Depends}, libjgraphx-java, 
-# libjhdf5-java
-#Description: Scientific software package for numerical computations (binary files)
-# Scilab is a matrix-based scientific software package.
-# Scilab contains hundreds of built-in mathematical functions, rich
-# data structures (including polynomials, rationals,linear systems, lists,
-# etc...) and comes with a number of specific toolboxes for
-# control, signal processing, ...
-# .
-# This package contains the architecture specific binary files.
- 
+
 Package: scilab-minimal-bin-dbg
 Architecture: any
 Section: debug
@@ -191,7 +181,7 @@
 Description: Scientific software package (scilab-cli debugging symbols)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
@@ -215,7 +205,7 @@
 Description: Scientific software package (scilab debugging symbols)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -228,7 +218,7 @@
 Description: Scientific software package for numerical computations (Java API)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -251,10 +241,21 @@
 Section: java
 Architecture: any
 Depends: ${shlibs:Depends}, scilab-full-bin (>= ${source:Version}), ${misc:Depends}
-Description: Scientific software package for numerical computations (Java API)
- Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+Description: Scientific software package for numerical computations (Java v2 API)
+ Scilab is a matrix-based scientific software package.
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
+ This package also provides Xcos, a graphical editor to design hybrid
+ dynamical systems models. Models can be designed, loaded, saved, compiled and
+ simulated.
+ Stable and efficient solution for industrial and academics needs, Xcos
+ provides functionalities for modeling of mechanical systems (automotive,
+ aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
+ etc. Modelica capabilities are also provided.
+ .
+ This package provided the javasci (version 2) interface.
+ .
+ This package contains the Java library (version 2) used to call Scilab's engine

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 # Detect the arch (with the naming of Sun)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -12,8 +11,6 @@
 			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))
 
 JAVA_HOME            := /usr/lib/jvm/default-java
-
-LD_LIBRARY_PATH = $(JAVA_HOME)/jre/lib/$(archdir)/:/usr/lib/libfakeroot/:$(JAVA_HOME)/jre/lib/$(archdir)/server:$(JAVA_HOME)/jre/lib/$(archdir)/native_threads/:$(DEB_DESTDIR)/usr/lib/scilab/
 
 DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
 	--with-pvm --with-fftw --enable-relocatable \
@@ -46,17 +43,23 @@
 DEB_DH_SHLIBDEPS_ARGS_libscilab2-java = -Xusr/lib/jni/libjavasci2.so
 #DEB_MAKE_CHECK_TARGET = check
 
+DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X
+
 debian/stamp-autotools-files:
 	autoreconf
 
+common-install-arch::
+# Remove empty directories
+	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
+# Remove la files
+	find $(DEB_DESTDIR)/usr/lib/ -name '*.la' -delete
 
 install/scilab-data::
 # Fails the build if some basic file does not exist
 	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
 		exit 1; \
 	fi
-# Remove empty directories
-	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
+
 # Remove extra license files to make lintian happier
 # See debian/copyright for them
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
@@ -141,6 +144,7 @@
 
 
 binary-install/scilab-minimal-bin::
+
 #	for file in $(DEB_DESTDIR)/usr/lib/scilab/*.so; do \
 #		chrpath -d $$file; \
 #	done
@@ -179,3 +183,4 @@
 clean::
 # Remove empty translation files
 	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
+	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po

## scilab 5.4.0-alpha-1

=== debian/changelog ===
scilab (5.4.0-alpha-1-1~exp3) experimental; urgency=low

  * Fix a French localization issues
  * Update the minimal version of libjhdf5
  * Fix a bug in the adddemo.diff patch. Also update the error message.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Dec 2011 11:32:41 +0100

scilab (5.4.0-alpha-1-1~exp2) experimental; urgency=low

  * Remove the bundled version of arpack and use arpack-ng (ie >= 3.0)
  * Some cleanup in the old patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Dec 2011 12:19:01 +0100

scilab (5.4.0-alpha-1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Dec 2011 11:57:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran, 
- default-jdk, chrpath, ocaml-nox (>= 3.11.2-3),
+ default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
  tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, 
  gettext, libreadline-dev, pkg-config, procps,
 # numerical libraries
  libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev, 
+ libarpack2-dev (>= 3.0),
 # Java deps
- libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
+ libflexdock-java (>= 1.0), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java, 
 # Documentation 
@@ -23,7 +24,7 @@
 # latex rendering
  libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
 # Xcos
- libjgraphx-java (>= 1.4.1.0), libhdf5-serial-dev, libjhdf5-java (>= 2.6)
+ libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8), libjhdf5-java (>= 2.8.0), imagemagick
 Standards-Version: 3.9.2
 Homepage: http://www.scilab.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
@@ -144,11 +145,11 @@
 Package: scilab-full-bin
 Architecture: any
 Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
- libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libjrosetta-java (>= 1.0.1),
+ libflexdock-java (>= 1.0), libjogl-java (>= 1.1.1), libjrosetta-java (>= 1.0.1),
  libjlatexmath-java (>= 0.9.4), libjlatexmath-fop-java (>= 0.9.4),
- libjeuclid-core-java, libbatik-java (>= 1.7),  default-jre,
+ libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
- javahelp2, libjgraphx-java (>= 1.2.0.8), libjhdf5-java (>= 2.6),
+ javahelp2, libjgraphx-java (>= 1.8.0.0), libjhdf5-java (>= 2.8.0-1),
  libskinlf-java, ${misc:Depends}
 Recommends: pvm
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.3)
@@ -258,4 +259,3 @@
  .
  This package provided the javasci (version 2) interface.
  .
- This package contains the Java library (version 2) used to call Scilab's engine

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,10 @@
 DEB_DH_SHLIBDEPS_ARGS_libscilab2-java = -Xusr/lib/jni/libjavasci2.so
 #DEB_MAKE_CHECK_TARGET = check
 
-DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X
+DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X CHANGES_5.4.X
 
-debian/stamp-autotools-files:
-	autoreconf
+#debian/stamp-autotools-files:
+#	autoreconf
 
 common-install-arch::
 # Remove empty directories
@@ -59,12 +59,10 @@
 	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
 		exit 1; \
 	fi
-
 # Remove extra license files to make lintian happier
 # See debian/copyright for them
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
 	rm $(DEB_DESTDIR)usr/share/scilab/contrib/toolbox_skeleton/license.txt 
-	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/BWidget-*/LICENSE.txt
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/sciGUI/license.txt
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/TAUCS_license.txt $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/UMFPACK_license.txt
 
@@ -173,14 +171,14 @@
 install/scilab-cli::
 # Move icons
 	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/
-	cp -R debian/tmp/usr/share/scilab/icons/scilab.xpm $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/
+	convert -resize "32x32" $(CURDIR)/desktop/scilab.png $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/scilab.xpm
 
 install/scilab::
 # Move icons
-	mkdir -p $(CURDIR)/debian/scilab/usr/share/scilab/
-	mv debian/tmp/usr/share/scilab/icons/ $(CURDIR)/debian/scilab/usr/share/scilab/
+	mkdir -p $(CURDIR)/debian/scilab/usr/share/scilab/icons/
+	mv debian/tmp/usr/share/scilab/desktop/ $(CURDIR)/debian/scilab/usr/share/scilab/
+	convert -resize "32x32" $(CURDIR)/desktop/scilab.png $(CURDIR)/debian/scilab/usr/share/scilab/icons/scilab.xpm
 
 clean::
 # Remove empty translation files
 	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
-	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
